# Linux compressor humanizer

Tool that extract or compress files automatically in a simple & easy way.
It keeps the kiss philosophy avoiding to memorize weird flags and commands to extract & compress files.
It allows you to auto install dependencies or even propietary dependencies if requested.

## Installation

###### install
```
sudo ./bin/install.sh
```

###### Uninstall
```
sudo ./bin/uninstall.sh
```

## Usage

###### Compress
```
$ lch file.zip file1 [file2...] 
```

###### Decompress
```
$ lch file.zip 
```

###### Options
```
$ lch -h                       - Show help
$ lch -v                       - Print version
$ lch -c                       - Check compression systems
$ lch -i                       - Install the compressors dependencies
```

## Supported extensions

###### Packing/unpacking:
- 7z
- bz2
- gz
- rar
- tar
- tar.bz2, tbz, tbz2, tb2
- tar.gz, tgz
- tar.xz, txz
- zip

###### Unpacking only:
- arj
- cab
- dmg
- iso
- lzh
- lzma
- rpm
- squashfs
- vdi
- vhd
- vmdk
- win
- xar
- z

## Testing with docker
```
$ git clone https://gitea.hatthieves.es/cloud/lch
$ cd lch && docker run -it --rm --name lch --workdir /lch -v $(pwd):/lch putyourdistributionhere ./lch -h
```
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMWXOdollllllllllllllllllllllllllllllodkKWMMMMMMMMMMMMMMMM
MMW0l'.....................................:kNMMMMMMMMMMMMMM
MWk'.........................................oNMMMMMMMMMMMMM
M0,......................................... ,0MMMMMMMMMMMMM
Mk.............:odddddddddddddddddddddddddddx0WMMMMMMMMMMMMM
Mx...........'kWMMMWNKK0OkO0000KKXXXX0Ok00OkO0KXWMMMMMMMMMMM
Mk...........cNMMMWKkkkxc';dkkk0NNKK0d,'lxc':dkk0NMMMMMMMMMM
Mk...........lNMMMXOkkkx:.;dkkOXWXkxko'.:c;.;dkkkKMMMMMMMMMM
Mk...........lNMMMXOkkkx:.;dkkOXWXkxko'.:l;.;dkxkXMMMMMMMMMM
Mk...........lNMMMWXOkkxc',ccdk0XNKK0d;,oxc':xkOKWMMMMMMMMMM
Mk...........lNMMMMMWXXXK0000KXXXNNNNK00KXK0KXXNWMMMMMMMMMMM
Mk...........lNMMMMMMMMMMMM0lcllclccllcckWMMMMMMMMMMMMMMMMMM
Mk...........lNMMMMMMMMMMMMKx:........;d0WMMMMMMMMMMMMMMMMMM
Mk...........cNMMMMMMMMMMMMMMx'.......lWMMMMMMMMMMMMMMMMMMMM
Mx...........cXMMMMMMMMMMMMMMx'.......lNMMMMMMMMMMMMMMMMMMMM
Mx............oKWMMMMMMMMMMMMXkkxxxxxxKWMMMMMMMMMMMMMMMMMMMM
Mk.............':ccccccccccccccccccccccccccclxNMMMMMMMMMMMMM
MK;..........................................,0MMMMMMMMMMMMM
MW0:........................................,kWMMMMMMMMMMMMM
MMMNxc'..................................':dKWMMMMMMMMMMMMMM
MMMMMWX0kkkkkkkkkkkkxkkkkkkkkkkkkkkkkkkkOKWMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMXxlcldKWMMM0olcccccckWMMWXxlcldKWMMMMMMMMM
MMMMMMMMMMMMMMMMMK:.....':ccc,........'cccc,.....,OWMMMMMMMM
MMMMMMMMMMMMMMMMMk................................dWMMMMMMMM
MMMMMMMMMMMMMMMMMNd,...'cxkkko:'......lkkkkl,...'lKMMMMMMMMM
MMMMMMMMMMMMMMMMMMWXOkOXWMMMMWNKkkkkk0NMMMMWXOkOXWMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
